/*
	The Balsa Formatted Printing GUI Library, as used in:
	  The Balsa Asynchronous Hardware Synthesis System
	  The GTKWave electronic waveform viewer
	Copyright (C) 2003 Department of Computer Science
	The University of Manchester, Oxford Road, Manchester, UK, M13 9PL

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

	`format.h'
	Value formatting from spec. structure

	$Id: formatgui.h,v 1.3 2003/08/20 13:58:43 janinl Exp $
*/

#ifndef FORMATGUI_HEADER
#define FORMATGUI_HEADER

#include <gtk/gtk.h>
#include "format/format.h"

extern GtkWidget *window1;
extern GtkWidget *hbox9;
extern GtkToggleButton *selectedButton;
extern Format editedFormat;
extern gboolean WidgetChangedManually;

void CreateButtonsForFormat (Format f);
void UpdateNotebookWithFormatElement (Format f);
void OnFormatWidgetChanged (int pagenum);
void CopyPositionIntoEveryNotebookPage (Format f);
void UpdateExample (void);

GtkWidget *NewFormatEditionWindow (Format f);

#endif
